summaryrefslogtreecommitdiff
path: root/support
diff options
context:
space:
mode:
authorYann E. MORIN <yann.morin.1998@free.fr>2017-02-12 15:53:06 +0100
committerThomas Petazzoni <thomas.petazzoni@free-electrons.com>2017-02-12 15:59:49 +0100
commit55bbbe04c31dd32bd2f4eb8c1c27e95abea666d8 (patch)
tree900ecfa4cc9bd98ec205b7b25505d43d90192753 /support
parent67a221be1bf00ea012a8a9cf6ac4aa9459264cb3 (diff)
support/test-pkg: check the config snippet exists
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'support')
-rwxr-xr-xsupport/scripts/test-pkg3
1 files changed, 3 insertions, 0 deletions
diff --git a/support/scripts/test-pkg b/support/scripts/test-pkg
index 9066fa066..11ec18ca5 100755
--- a/support/scripts/test-pkg
+++ b/support/scripts/test-pkg
@@ -39,6 +39,9 @@ main() {
if [ -z "${cfg}" ]; then
printf "error: no config snippet specified\n" >&2; exit 1
fi
+ if [ ! -e "${cfg}" ]; then
+ printf "error: %s: no such file\n" "${cfg}" >&2; exit 1
+ fi
if [ -z "${dir}" ]; then
dir="${HOME}/br-test-pkg"
fi